/*
 * $Revision: 1.1 $ $Date: 2005/02/14 03:53:26 $
 * (C) 2004 SUGIMOTO Ken-ichi
 */

package feat.v1;

import java.util.Iterator;
import java.util.List;
import java.util.ArrayList;

public class FeatureErrors {

    private List errors;

    public FeatureErrors() {
        errors = new ArrayList();
    }

    public int count() {
        return errors.size();
    }

    public void add(FeatureError error) {
        errors.add(error);
    }

    /**
     * FeatureErrorのリストを反復するイテレータを返す。
     * @return Iterator
     */
    public Iterator iterator() {
        return errors.iterator();
    }
}
